Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server.webserver
Class NotFoundHandler2

    java.lang.Object
      org.mortbay.http.handler.AbstractHttpHandler
          org.mortbay.http.handler.NotFoundHandler
              org.joseki.server.webserver.NotFoundHandler2

All Implemented Interfaces:
  org.mortbay.http.HttpHandler, org.mortbay.util.LifeCycle, java.io.Serializable

public class NotFoundHandler2
extends org.mortbay.http.handler.NotFoundHandler

Handler for resources that were not found. Implements OPTIONS and TRACE methods for the server. Was org.mortbay.http.handler.NotFoundHandler except I want the time/date as well because it helps debugging.

Version:
  $Id: NotFoundHandler2.java,v 1.3 2004/04/30 14:13:14 andy_seaborne Exp $
Author:
  Greg Wilkins (gregw)
See Also:
  Serialized Form

Constructor Summary
`NotFoundHandler2()`

Method Summary
`void` | `handle(java.lang.String pathInContext, java.lang.String pathParams, org.mortbay.http.HttpRequest request, org.mortbay.http.HttpResponse response)`

Methods inherited from class org.mortbay.http.handler.AbstractHttpHandler
`getHttpContext, getName, handleTrace, initialize, isStarted, setName, start, stop, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotFoundHandler2

    public NotFoundHandler2()

Method Detail

### handle

    public void handle(java.lang.String pathInContext,
                       java.lang.String pathParams,
                       org.mortbay.http.HttpRequest request,
                       org.mortbay.http.HttpResponse response)
                throws org.mortbay.http.HttpException,
                       java.io.IOException

  Throws:
    `org.mortbay.http.HttpException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.